Subject: Re: [v6ops] [DNSOP] New Version Notification for draft-v6ops-xie-network-happyeyeballs-00.txt
From: Owen DeLong <[email-masked]>
To: George Michaelson <[email-masked]>
Cc: dnsop WG <[email-masked]>, "<[email-masked]>" <[email-masked]>
Date: Tue, 25 Sep 2018 21:25:16 -0700
List-Id: v6ops discussion list <v6ops.ietf.org>

It was never a good idea. It was a necessary evil (kind of like NAT in that regard) to expeditiously deal with a somewhat tenacious (at the time) problem which has since been given a significantly better solution, but so long as the workaround appears to be working, people are loathe to put in the effort of implementing the actual solution.

sigh… Human nature.

Owen

> On Sep 25, 2018, at 19:58 , George Michaelson <[email-masked]> wrote:
> 
> I have said before, but don't know if I still adhere to it, but
> anyways, here's a question: How *long* do people think a biassing
> mechanism like HE is a good idea?
> 
> * is it a good idea *forever*
> 
> * or is it a transition path mechanism which has an end-of-life?
> 
> * how do we know, when its at end-of-life?
> 
> I used to love HE. I now have a sense, I'm more neutral. Maybe, we
> actually don't want modified, better happy eyeballs, because we want
> simpler, more deterministic network stack outcomes with less bias
> hooks?
> 
> I barely register if I an on v4 any more. I assume I'm on 6 on many
> networks. This is as an end-user. I guess if I am really an end user,
> this belief I understand TCP and UDP is false, and I should stop
> worrying (as an end user)
> On Wed, Sep 26, 2018 at 12:49 PM Davey Song <[email-masked]> wrote:
>>> 
>>> But in the general case the network cannot.
>>> Think host multi-homing.
>> 
>> 
>> Yes or no.
>> 
>> Generally speaking the races of IPv6 and IPv4 connections on both network and client are going to be suffered by netowrk dynamics, including Multi-homing,  route flaps, roaming, or other network falilures. Extremely, a client can get a better IPv6 connection in one second (when IPv6 win the race), and lose it in next second. In such case, more sophisticated measurement should be done(on client or network) , for a longer period, on statistics of RTT and Failure rate, or combinations of them. But in IMHO, the assumption of HE is relatively stable network for short exchange connections. The dynamics exits but relatively rare or no notable impact on HE. So I see no such discussion in RFC8035.
>> 
>> Davey
>> _______________________________________________
>> DNSOP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dnsop
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops